Summary:	Creates xguest user as a locked down user 
Name:		xguest
Version: 	1.0.10
Release: 	%mkrel 9
License: 	GPLv2+
Group:   	System/Base
BuildArch: 	noarch
Source:  	http://people.fedoraproject.org/~dwalsh/xguest/%{name}-%{version}.tar.bz2
Source10: 	mkxguesthome
# (tv) prevent accessing other people accounts:
patch1: 	xguest-namespace.patch
URL:     	http://pkgs.fedoraproject.org/repo/pkgs/xguest/

Requires(pre):	pam >= 0.99.8.1 python-sabayon
Requires(post):	python-sabayon 
Requires(post): usermode-consoleonly

%define grp_option -U

# TODO:
# - check if /usr/sbin/gdm-safe-restart is needed in /etc/X11.gdm/PostSession/Default
# - prevent logging on console

%description
Installing this package sets up the xguest user to be used as a temporary
account to switch to or as a kiosk user account.
The user is only allowed to log in via gdm.  The home and temporary directories
of the user will be polyinstantiated and mounted on tmpfs.

WARNING: unlike Fedora, where the account is disabled unless SELinux is in
enforcing mode and where it's only accessible through gdm/kdm/xdm, it's
accessible from the console too.

%prep
%setup -q
%patch1 -p1 -b .home

%build

%install
%{__mkdir} -p %{buildroot}/%{_sysconfdir}/desktop-profiles
%{__mkdir} -p %{buildroot}/%{_sysconfdir}/security/namespace.d/ls
install -m0644 xguest.zip %{buildroot}/%{_sysconfdir}/desktop-profiles/
install -m0644 xguest.conf %{buildroot}/%{_sysconfdir}/security/namespace.d/

install -m0755 %SOURCE10 %{buildroot}%{_sysconfdir}/security/namespace.d/

# (tv) Using UID higher than UID_MAX=60000 from /etc/login.defs:
mkdir -p %{buildroot}%{_bindir}
cat > %{buildroot}%{_bindir}/xguest-add-helper <<EOF
#!/bin/sh
groupdel xguest 2>/dev/null
userdel -r xguest 2>/dev/null

case \$(env | grep -m 1 -i lang | cut -d= -f2 | cut -d. -f1) in
	fr_FR) comment_xguest="Compte invité";;
	de_DE) comment_xguest="Gast-Zugang";;
	es_ES) comment_xguest="Cuenta invitado";;
	it_IT) comment_xguest="Opsite conto";;
	pl_PL) comment_xguest="Konto gościa";;
	pt_PT) comment_xguest="Conta convidado";;
	*) comment_xguest="Guest Account";;
esac

useradd -s /bin/rbash -K UID_MIN=61000 -K UID_MAX=65000 -K GID_MIN=61000 -K GID_MAX=65000 %grp_option -p '' -c "\$comment_xguest" xguest || :

# Add two directories to /etc/skell so pam_namespace will label properly
mkdir /etc/skel/.mozilla 2> /dev/null
mkdir /etc/skel/.gnome2 2> /dev/null

/usr/bin/python << __eof
from sabayon import systemdb
db = systemdb.get_user_database()

db.set_profile("xguest", "xguest.zip")
__eof

# prevent remote login:
if [ -e /etc/ssh/denyusers ]; then
	if ! grep -q xguest /etc/ssh/denyusers; then
		echo xguest >> /etc/ssh/denyusers
	fi
fi

# prevent accessing most configuration tools (mcc still available with root password)
for i in /etc/pam.d/{mageia-simple-auth,simple_root_authen,urpmi.update}; do
	fgrep -q xguest \$i && continue
	echo -e "\nauth\trequired\tpam_succeed_if.so\tquiet user != xguest" >> \$i
done
EOF

%post
if [ $1 -eq 1 ]; then
	xguest-add-helper
fi

%preun
if [ $1 -eq 0 ]; then

/usr/bin/python << __eof
from sabayon import systemdb
db = systemdb.get_user_database()
db.set_profile("xguest", "")
__eof

userdel -r xguest
groupdel xguest

# remove forbiden SSH:
sed -i '/^xguest/d' /etc/ssh/denyusers

fi

%triggerun -- xguest <= 1.0.8-3mdv2010.0
userdel -r guest 2>/dev/null
xguest-add-helper

%triggerin -- openssh-server
if ! grep -q xguest /etc/ssh/denyusers; then
  echo xguest >> /etc/ssh/denyusers
fi

%files
%attr(755,root,root) %_bindir/*
%dir %{_sysconfdir}/desktop-profiles
%config(noreplace) %{_sysconfdir}/desktop-profiles/xguest.zip
%{_sysconfdir}/security/namespace.d/
%doc README LICENSE



%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1.0.10-9.mga3
+ Revision: 386993
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 27 2012 remmy <remmy> 1.0.10-8.mga2
+ Revision: 227154
- Add xguest to /etc/ssh/denyusers even when openssh-server is installed later. Closes #mga3921

* Thu Mar 15 2012 dams <dams> 1.0.10-7.mga2
+ Revision: 223481
- remove useless patch

* Wed Mar 14 2012 ennael <ennael> 1.0.10-6.mga2
+ Revision: 223321
- add requires on usemode-consoleonly (#4934)

* Mon Feb 20 2012 tv <tv> 1.0.10-5.mga2
+ Revision: 211177
- drop requires on dm (mga#3060)

* Thu Feb 16 2012 tmb <tmb> 1.0.10-4.mga2
+ Revision: 209750
- disable MgaOnline for xguest user

* Sun Jan 22 2012 dmorgan <dmorgan> 1.0.10-2.mga2
+ Revision: 199546
- Own %%{_sysconfdir}/desktop-profiles

  + dams <dams>
    - update URL

* Wed Dec 28 2011 dams <dams> 1.0.10-1.mga2
+ Revision: 188355
- new version 1.0.10
- add it and pl translations

  + obgr_seneca <obgr_seneca>
    - fixed German translation

* Tue Dec 27 2011 dams <dams> 1.0.8-7.mga2
+ Revision: 188172
- Add a way to translate 'Guest Account' into other locales
- Clean specfile

* Wed Mar 09 2011 ennael <ennael> 1.0.8-6.mga1
+ Revision: 66840
- clean spec file
- imported package xguest

